com.threerings.parlor.tourney.server

## Interface TourniesProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  TourniesManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TourniesService.java.")
    public interface TourniesProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `TourniesService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createTourney(com.threerings.presents.data.ClientObject caller, TourneyConfig arg1, com.threerings.presents.client.InvocationService.ResultListener arg2)` Handles a `TourniesService.createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.

### Method Detail

#### createTourney

    void createTourney(com.threerings.presents.data.ClientObject caller,
                       TourneyConfig arg1,
                       com.threerings.presents.client.InvocationService.ResultListener arg2)
                throws com.threerings.presents.server.InvocationException

Handles a `TourniesService.createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`